@font-face {
    font-family: 'Quardratic';
    src: url('fonts/quardratic.ttf');
    font-weight: normal;
}

.notification-dialog-overlay,
.information-overlay,
.confirmation-dialog-overlay {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: -1;
    opacity: 0;
    top: 0;
    left: 0;
    background: #000000BC;
    transition: 0.5s ease all;
    padding: 1rem;
}

.notification-dialog-container,
.additional-information-container,
.cofirmation-dialog-container {
    font-size: 1.4rem;
    background: #EEEEEE;
    display: flex;
    flex-direction: column;
    border-radius: 0.5rem;
    padding: 1.5rem 2rem;
    row-gap: 1.5rem;
    width: 30rem;
    transition: 0.5s ease all;
}

.additional-information-container {
    width: 27rem;
    row-gap: 1rem;
}

.notification-dialog-title,
.confirmation-dialog-title,
.confirmation-dialog-body,
.notification-dialog-body,
.notification-dialog-close-button,
.additional-information-body,
.additional-information {
    font-size: 1.5rem;
    font-family: Quardratic,'Segoe UI', Geneva, Verdana, sans-serif;
}

.notification-dialog-body,
.additional-information-body,
.additional-information,
.confirmation-dialog-body {
    font-size: 1.3rem;
}

.dialog-buttons {
    display: flex;
    justify-content: space-between;
    column-gap: 2rem;
}

.notification-dialog-close-button,
.yes-button,
.no-button,
.close-additional-information {
    outline: none;
    border: 1px solid #271735;
    border-radius: 0.5rem;
    cursor: pointer;
    font-family: Quardratic, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 0.8rem;
    transition: 0.5s ease all;
    background: #271735;
    color: #FFFFFF;
    padding: 0.5rem;
    width: 100%;
}

.notification-dialog-close-button:hover,
.close-additional-information:hover,
.yes-button:hover,
.no-button:hover {
    background: #FFFFFF;
    color: #573573;
}

.additional-information {
    color: #271735;
    text-decoration: underline;
    cursor: pointer;
    transition: 0.5s ease all;
    display: none;
}

.additional-information:hover {
    color: #FF00BB;
}

@media screen and (max-width: 600px) {
    .notification-dialog-container,
    .cofirmation-dialog-container,
    .additional-information-container {
        width: 100%;
        padding: 1.2rem;
        row-gap: 1rem;
    }

    .notification-dialog-title,
    .confirmation-dialog-title {
        font-size: 1.2rem;
    }

    .notification-dialog-body,
    .confirmation-dialog-body,
    .additional-information-body,
    .additional-information {
        font-size: 1.1rem;
    }

    .additional-information-container {
        width: 95%;
        padding: 1.2rem;
    }
}